From f0f0ca618ffd1fce1d587ce922d882a5fb6a53f3 Mon Sep 17 00:00:00 2001
From: Jorrit Schaap <schaap@astron.nl>
Date: Tue, 19 Feb 2019 14:22:40 +0000
Subject: [PATCH] COB-49: use selected mipcc and mpirun. Do no write
 intermediate files in source dir.

---
 .../Online_Cobalt/validation/system/mpi/basic-mpi.test     | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

diff --git a/SubSystems/Online_Cobalt/validation/system/mpi/basic-mpi.test b/SubSystems/Online_Cobalt/validation/system/mpi/basic-mpi.test
index 707622e916f..ce778177e94 100755
--- a/SubSystems/Online_Cobalt/validation/system/mpi/basic-mpi.test
+++ b/SubSystems/Online_Cobalt/validation/system/mpi/basic-mpi.test
@@ -1,9 +1,6 @@
 #!/bin/bash -ve
 
-source ../../validation_utils.sh
-check_running_on_cobalt2
-
-/opt/openmpi/bin/mpicc mpi-hello-world.c -o mpi-hello-world
-/opt/openmpi/bin/mpirun --tag-output -H localhost,localhost ./mpi-hello-world | sort | fgrep 'Hello world' | wc -l | grep '^2$'
+mpicc `dirname $0`/mpi-hello-world.c -o /tmp/mpi-hello-world || exit 1
+mpirun --tag-output -H localhost,localhost /tmp/mpi-hello-world | sort | fgrep 'Hello world' | wc -l | grep '^2$'
 
 exit 0
-- 
GitLab